Bug 1568009 - Deployment template validation failed
Summary: Deployment template validation failed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: GA
: 5.10.0
Assignee: Daniel Berger
QA Contact: Mike Shriver
URL:
Whiteboard:
Depends On:
Blocks: 1568559 1568576 1568577
TreeView+ depends on / blocked
 
Reported: 2018-04-16 15:09 UTC by Saif Ali
Modified: 2019-07-16 23:35 UTC (History)
10 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1568559 1568576 1568577 (view as bug list)
Environment:
Last Closed: 2019-02-11 14:09:32 UTC
Category: ---
Cloudforms Team: Azure
Target Upstream Version:


Attachments (Terms of Use)

Description Saif Ali 2018-04-16 15:09:32 UTC
Description of problem:
 Azure NetworkManager refresh failure with "undefined method `source_address_prefix'" error. This issue has been fixed in the errata release BZ# 1520196, However after applying the update the service catalog failed to validate Azure template.

Version-Release number of selected component (if applicable):
5.7.4.2

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
provisioning failed

Expected results:


Additional info:

Comment 3 Bill Wei 2018-04-16 16:02:39 UTC
The template expects a parameter called stack_prefix, which normally corresponds to a text field in the service dialog. Do you use a correct dialog that provides all required parameters?

If you need help, please post the Azure template and service dialog.

Comment 8 Bill Wei 2018-04-16 18:06:51 UTC
Here is a list of parameters required in the template

        "stack_owner"
        "stack_prefix"
        "stack_instance"
        "suite_token"
        "environment_code
        "stack_count"
        "dmz"
        "vm_size"
        "data_disk_size"
        "backup_vault"
        "weekday_power_up"
        "weekday_power_down"
        "saturday_power_up"
        "saturday_power_down"
        "sunday_power_up"
        "sunday_power_down"
        "billing_cc"

Below is the list of dialog fields for parameters:
 param_stack_owner
 param_stack_instance
 param_suite_token
 param_environment_code
 param_dmz
 param_vm_size
 param_data_disk_size
 param_backup_vault
 param_billing_cc
 param_weekday_power_up
 param_weekday_power_down
 param_saturday_power_up
 param_saturday_power_down
 param_sunday_power_up
 param_sunday_power_down

You can see stack_prefix and stack_count are missing from the dialog. You can edit the dialog to add two fields, namely param_stack_prefix and param_stack_count and retry.

Comment 10 Bill Wei 2018-04-17 00:09:12 UTC
Upgrading azure-armrest from 0.5.2 to 0.9.3 caused the problem. The proper fix should be placed in azure-armrest.

Comment 11 Bronagh Sorota 2018-04-17 05:49:26 UTC
https://github.com/ManageIQ/azure-armrest/pull/368

Comment 13 Satoe Imaishi 2018-04-17 18:41:39 UTC
azure-armrest gem version bump PR: https://github.com/ManageIQ/manageiq-providers-azure/pull/241

Comment 17 Mike Shriver 2019-01-15 12:33:12 UTC
CFME 5.10.0.31.20190108221820_a0968c8 includes azure-armrest (0.9.13) gem, which includes the fix for template key transformation.


Note You need to log in before you can comment on or make changes to this bug.